Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DomainManagersListHolder

    java.lang.Object
      |
      +--org.omg.CORBA.DomainManagersListHolder

All Implemented Interfaces:
  Streamable

public final class DomainManagersListHolder
extends java.lang.Object
implements Streamable

Holder class for : DomainManagersList

Author:
  OpenORB Compiler

Field Summary
`DomainManager[]` | `value` Internal DomainManagersList value

Constructor Summary
`DomainManagersListHolder()` Default constructor
`DomainManagersListHolder(DomainManager[] initial)` Constructor with value initialisation

Method Summary
`void` | `_read(InputStream istream)` Read DomainManagersList from a marshalled stream
`TypeCode` | `_type()` Return the DomainManagersList TypeCode
`void` | `_write(OutputStream ostream)` Write DomainManagersList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public DomainManager[] value

  Internal DomainManagersList value

Constructor Detail

### DomainManagersListHolder

    public DomainManagersListHolder()

  Default constructor

### DomainManagersListHolder

    public DomainManagersListHolder(DomainManager[] initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read DomainManagersList from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write DomainManagersList into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the DomainManagersList TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD